package com.zjrs.ggfw.portal.bpo;

import org.mohrss.leaf.core.framework.domain.bpo.IBPO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.ggfw.portal.dto.*;
import com.zjrs.ggfw.portal.dto.common.PageDTO;
import com.zjrs.ggfw.portal.po.VRsWbSjdz;

import java.util.Map;

public interface UserBPO extends IBPO {
	
    //查询收件地址列表
    public PageResult getSjdzList(SjdzQueryDTO dto);

    //获取收件地址信息byId
    public VRsWbSjdz getSjdzDetail(SjdzDetailQueryDTO dto);

    //保存收件地址信息
    public AjaxResponse saveSjdz(SjdzDTO dto);

    //设置默认收件地址信息
    public void setMrSjdz(SjdzDetailQueryDTO dto);
    
    //获取默认收件地址
    public VRsWbSjdz getMrSjdz(String userid);

    //删除收件地址
    public void deleteSjdz(SjdzDetailQueryDTO dto);
    
	//获取未读消息数量
    public int getNewsCnt();
    
	//获取消息列表
    public PageResult getNewsList(SjxxQueryDTO dto);
    
	//保存消息
    public void saveNews(XxglDTO dto);
    
    //更新阅读状态
    public AjaxResponse setNewsYdzt(SjxxDTO dto);
    
	//更新有效标志
    public AjaxResponse setNewsYxbz(SjxxDTO dto);
    
    //清空消息回收站
    public void setNewsClear();
    
    //获取用户信息
    public AjaxResponse getUserInfo(String flag);
    
    //保存意见反馈
    public AjaxResponse saveRsWbYjfk(YjfkDTO dto);
    
    //保存自助终端访问日志
    public AjaxResponse saveRsZzzdLog(ZzzdLogDTO dto);
    
    //查询意见反馈列表
    public AjaxResponse getRsWbYjfkList(PageDTO dto);
    
    //查询意见反馈
    public AjaxResponse getRsWbYjfk(YjfkQueryDTO dto);

    AjaxResponse checkIdentity(CheckMsgCodeDTO dto);

    Map<String, String> render();

    AjaxResponse sendPhoneMsgCode(CheckImgCodeDTO dto);
}
